Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreUserManager

    java.lang.Object
      oracle.ifs.fdk.impl.UserManagerImpl
          oracle.ifs.fdk.core.CoreUserManager

All Implemented Interfaces:
  java.rmi.Remote, UserManager

    public class CoreUserManager

extends UserManagerImpl

Implementation of the user manager interface. See the documentation for `UserManager`.

Constructor Summary
`CoreUserManager()` Constructor required for web services.
`CoreUserManager(FdkSession session)` Construct required for in-process clients.

Method Summary
`NamedValueSet[]` | `findCredentialManagerUsers(NamedValue[] searchOptions)` Find a list of users from the current credential manager that match the specified search options.
`Item[]` | `findDomainUsers(NamedValue[] options, AttributeRequest[] attrs)` Find a list of provisioned users in the current domain that match the specified search options.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`Preference` | `getDomainDefaultUserPreference(java.lang.String key, AttributeRequest[] attributes)` Get domain level default value for a single user preference.
`Preference[]` | `getDomainDefaultUserPreferences(java.lang.String[] keys, AttributeRequest[] attributes)` Get domain level default values for the requested user preferences.
`Item` | `getUser(java.lang.String name, AttributeRequest[] attributes)` Gets the specified user by name.
`Preference` | `getUserPreference(java.lang.String key, AttributeRequest[] attributes)` Get a user preference for the current user, by its preference key.
`Preference[]` | `getUserPreferences(java.lang.String[] keys, AttributeRequest[] attributes)` Get a set of user preferences for the current user, by preference key.
`Preference[]` | `getUserPreferencesForUser(long userId, java.lang.String[] keys, AttributeRequest[] attributes)` Get a set of user preferences for the specified user, by preference key.
`boolean` | `hasUserPreference(java.lang.String prefKey)` Check if a user preference is set for the current user.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`java.lang.String[]` | `listExternallySupportedUserPreferences()` Returns the list of externally supported user preferences
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `provisionCurrentUserPreferences()` Synchronize the preferences of the current user with user preferences from OID.
`void` | `provisionUserPreferences(long userId)` Synchronize the preferences of the specified user with user preferences from OID.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`void` | `removeUserPreference(java.lang.String prefKey)` Remove a user preference for the curent user.
`void` | `setDomainDefaultUserPreference(Preference value)` Set domain level default value for a single user preference.
`void` | `setDomainDefaultUserPreferences(Preference[] values)` Set domain level default values for user preferences.
`void` | `setUserPreference(Preference pref)` Set a user preference for the current user.
`void` | `setUserPreferences(Preference[] prefs)` Set an array of user preferences for the current user.
`void` | `setUserPreferencesForUser(long userId, Preference[] prefs)` Set an array of user preferences for the specified user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreUserManager

    public CoreUserManager()

  Constructor required for web services.

### CoreUserManager

    public CoreUserManager(FdkSession session)

  Construct required for in-process clients.

Method Detail

### getUserPreference

    public Preference getUserPreference(java.lang.String key,
                                        AttributeRequest[] attributes)
                                 throws FdkException

  Description copied from class: `CoreUserManager`
  Get a user preference for the current user, by its preference key.

  Parameters:
    `key` - the user preference key
    `attributes` - requested attributes
  Returns:
    the preference value
  Throws:
    `FdkException` - - if the operation fails

### getUserPreferences

    public Preference[] getUserPreferences(java.lang.String[] keys,
                                           AttributeRequest[] attributes)
                                    throws FdkException

  Description copied from class: `CoreUserManager`
  Get a set of user preferences for the current user, by preference key.

  Parameters:
    `keys` - the user preference keys
    `attributes` - requested attributes
  Returns:
    the preference values
  Throws:
    `FdkException` - - if the operation fails

### getUserPreferencesForUser

    public Preference[] getUserPreferencesForUser(long userId,
                                                  java.lang.String[] keys,
                                                  AttributeRequest[] attributes)
                                           throws FdkException

  Description copied from class: `CoreUserManager`
  Get a set of user preferences for the specified user, by preference key.

  Parameters:
    `userId` - the user ID
    `keys` - the user preference keys
    `attributes` - requested attributes
  Returns:
    the preference values
  Throws:
    `FdkException` - - if the operation fails

### hasUserPreference

    public boolean hasUserPreference(java.lang.String prefKey)
                              throws FdkException

  Description copied from class: `CoreUserManager`
  Check if a user preference is set for the current user. An invalid user preference key will throw and a preference with a null value will return true.

  Parameters:
    `prefKey` - the user preference key
  Returns:
    a boolean, true = has preference, false = does not
  Throws:
    `FdkException`

### removeUserPreference

    public void removeUserPreference(java.lang.String prefKey)
                              throws FdkException

  Description copied from class: `CoreUserManager`
  Remove a user preference for the curent user. This will result in the domain default preference value being used for this preference for this user. Invalid preference key will throw, derived user preferences will throw, removing a preference that is not there will throw.

  Parameters:
    `prefKey` - the user preference key
  Throws:
    `FdkException` - if the operation fails

### setUserPreference

    public void setUserPreference(Preference pref)
                           throws FdkException

  Description copied from class: `CoreUserManager`
  Set a user preference for the current user.

  Parameters:
    `pref` - the user preference value (which contains the key)
  Throws:
    `FdkException` - - if the operation fails

### setUserPreferences

    public void setUserPreferences(Preference[] prefs)
                            throws FdkException

  Description copied from class: `CoreUserManager`
  Set an array of user preferences for the current user.

  Parameters:
    `prefs` - the user preference value (which contains the key)
  Throws:
    `FdkException` - - if the operation fails

### setUserPreferencesForUser

    public void setUserPreferencesForUser(long userId,
                                          Preference[] prefs)
                                   throws FdkException

  Description copied from class: `CoreUserManager`
  Set an array of user preferences for the specified user.

  Parameters:
    `userId` - the user ID
    `prefs` - the user preference value (which contains the key)
  Throws:
    `FdkException` - - if the operation fails

### findCredentialManagerUsers

    public NamedValueSet[] findCredentialManagerUsers(NamedValue[] searchOptions)
                                               throws FdkException

  Description copied from interface: `UserManager`
  Find a list of users from the current credential manager that match the specified search options. Users may not necessarily have been provisioned to current domain.

  Search a realm for a list of users that matches the options. If the realm is not specified, then the default realm is used. Null is returned if no user is found.

  The value of the option specifies a filter to the option. The character '*' can be used to indicate zero or more characters in that position. Special characters '*', '(', ')', and '\' must be escaped in accordance with RFC-2254.

  Parameters:
    `searchOptions` - The search options. Options must include one or more of the following Options:
    - notation: {Option name, Option value}
    - {Attributes.NAME, String}
    - {Attributes.FIRST_NAME, String}
    - {Attributes.LAST_NAME, String}
    - {Attributes.EMAIL_ADDRESS, String}
    - {Options.USER_ATTRIBUTE_DISTINGUISHEDNAME, String}
    - {Options.USER_ATTRIBUTE_REALM, String}
    - {Options.RETURN_COUNT, Integer}
    - {Options.RETURN_TIME, Integer}
  Returns:
    An array of NamedValueSet representing the list of the found users. Each NamedValueSet is a set of attributes of a user. Null if no user is found.
  Throws:
    `FdkException` - (FDK_INVALID_OPTION): Invalid search option

### findDomainUsers

    public Item[] findDomainUsers(NamedValue[] options,
                                  AttributeRequest[] attrs)
                           throws FdkException

  Description copied from interface: `UserManager`
  Find a list of provisioned users in the current domain that match the specified search options. If no options are specified, returns all users in the domain.

  The value of the option specifies a filter to the option. Standard database and Windows wildcards (_?%*) accepted.

  Parameters:
    `options` - The search options. Valid options:
    - notation: {Option name, Option value}
    - {Attributes.NAME, String}
    - {Attributes.FIRST_NAME, String}
    - {Attributes.LAST_NAME, String}
    - {Attributes.EMAIL_ADDRESS, String}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    If a sort attribute name is specified with no direction, ascending is the default. Sort attributes must be valid attributes in Attributes.java and must return values that implement Comparable.
  Returns:
    An array of Items representing the users. Null if no user is found.
  Throws:
    `FdkException` - (FDK_INVALID_OPTION): Invalid search option

### getUser

    public Item getUser(java.lang.String name,
                        AttributeRequest[] attributes)
                 throws FdkException

  Description copied from interface: `UserManager`
  Gets the specified user by name. Returns null if no such user exists.

  Parameters:
    `name` - The name of the user to return.
    `attributes` - additional attributes to retrieve for each user.
  Throws:
    `FdkException` - if the operation fails.

### setDomainDefaultUserPreferences

    public void setDomainDefaultUserPreferences(Preference[] values)
                                         throws FdkException

  Description copied from interface: `UserManager`
  Set domain level default values for user preferences.

  Parameters:
    `values` - the user preference values
  Throws:
    `FdkException` - if the operation fails

### setDomainDefaultUserPreference

    public void setDomainDefaultUserPreference(Preference value)
                                        throws FdkException

  Description copied from interface: `UserManager`
  Set domain level default value for a single user preference.

  Parameters:
    `value` - the user preference value
  Throws:
    `FdkException` - if the operation fails

### getDomainDefaultUserPreferences

    public Preference[] getDomainDefaultUserPreferences(java.lang.String[] keys,
                                                        AttributeRequest[] attributes)
                                                 throws FdkException

  Description copied from interface: `UserManager`
  Get domain level default values for the requested user preferences. If any of the keys do not correspond to a valid user preference, then an exception is thrown.

  Parameters:
    `keys` - keys used to identify the user preferences
    `attributes` - list of FDK attributes needed in the preference
  Returns:
    array of requested preferences
  Throws:
    `FdkException` - if the operation fails

### getDomainDefaultUserPreference

    public Preference getDomainDefaultUserPreference(java.lang.String key,
                                                     AttributeRequest[] attributes)
                                              throws FdkException

  Description copied from interface: `UserManager`
  Get domain level default value for a single user preference. If the key does not match a valid user preference, then an exception is thrown.

  Parameters:
    `key` - key used to identify the user preference
    `attributes` - list of FDK attributes needed in the preference
  Returns:
    requested user preference
  Throws:
    `FdkException` - if the operation fails

### provisionUserPreferences

    public void provisionUserPreferences(long userId)
                                  throws FdkException

  Description copied from class: `CoreUserManager`
  Synchronize the preferences of the specified user with user preferences from OID.

  Parameters:
    `userId` - The user ID of specified user
  Throws:
    `FdkException` - if the operation fails.

### provisionCurrentUserPreferences

    public void provisionCurrentUserPreferences()
                                         throws FdkException

  Description copied from class: `CoreUserManager`
  Synchronize the preferences of the current user with user preferences from OID.

  Throws:
    `FdkException` - if the operation fails.

### listExternallySupportedUserPreferences

    public java.lang.String[] listExternallySupportedUserPreferences()
                                                              throws FdkException

  Description copied from class: `CoreUserManager`
  Returns the list of externally supported user preferences

  Returns:
    the list of externally supported user preferences
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD